import tkinter
import tkinter.ttk
import tkinter.messagebox

class Application(tkinter.ttk.Frame):
    def __init__(self, master=None) :
        super().__init__()
        self.pack()
        self.create_widgets()
        self.master.title("Окна-сообщения")

    def create_widgets(self):
        self.btn1 = tkinter.ttk.Button(self, text="Обычное окно-сообщение", command=self.but1)
        self.btn1.pack()
        self.btn2 = tkinter.ttk.Button(self, text="Окно-предупреждение_1", command=self.but2)
        self.btn2.pack()
        self.btn3 = tkinter.ttk.Button(self, text="Окно-предупреждение_2", command=self.but3)
        self.btn3.pack()

    def but1(self):
        # Выводим обычное окно-сообщение
        tkinter.messagebox.showinfo("Test", "Сообщение")

    def but2(self):
        # Выводим окно-предупреждение с кнопками "Да" и "Нет"
        # и обрабатываем нажатия на эти кнопки
        if tkinter.messagebox.askyesno("Test", "Сообщение"):
            print("Была нажата кнопка Да")
        else:
            print("Была нажата кнопка Нет")

    def but3(self):
        # Выводим окно-предупреждение с кнопками "Да" и "Нет",
        # в котором изначально фокус ввода будет иметь кнопка "Нет"
        if tkinter.messagebox.askyesno("Test", "Сообщение", default=tkinter.messagebox.NO):
            print("Была нажата кнопка Да")
        else:
            print("Была нажата кнопка Нет")

        
root = tkinter.Tk()
app = Application(master=root)
root.mainloop()
